> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Search Debit Memos by Number

> Search for thousands of debit memos by exact debit memo number match in a single request. Optimized for performance.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/debit-memo/bulk-search
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/debit-memo/bulk-search:
    post:
      tags:
        - Accounts Payable
      summary: Bulk Search Debit Memos by Number
      description: >-
        Search for thousands of debit memos by exact debit memo number match in
        a single request. Optimized for performance.
      operationId: coa_api_v1_debit_memo_bulk_search_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDebitMemoSearch'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BulkDebitMemoSearch'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BulkDebitMemoSearch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
                description: Unspecified response body
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BulkDebitMemoSearch:
      type: object
      properties:
        debit_memos:
          type: array
          items:
            $ref: '#/components/schemas/BulkDebitMemo'
          maxItems: 10000
          minItems: 1
      required:
        - debit_memos
    BulkDebitMemo:
      type: object
      properties:
        debit_memo_number:
          type: string
      required:
        - debit_memo_number
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````